module Main where

import Data.CQRS.Test.EventStore.BackendTest (testBackend)
import Data.CQRS.EventStore.Backend.Sqlite3
import Test.Hspec (hspec, Spec)

sqlite3BackendTest :: Spec
sqlite3BackendTest = do
  testBackend mkPool setup
  where
    mkPool = createBackendPool 1 ":memory:"
    setup = return ()

main :: IO ()
main = do
  hspec $ do
    sqlite3BackendTest
